19.04.2016, 14:41, Nicklas Björk kirjoitti:
> On 2016-04-19 12:15, Timo Aaltonen wrote:
>> 19.04.2016, 11:28, Nicklas Björk kirjoitti:
>>>  Hi FreeIPA team,
>>>
>>> I was experimenting with the armhf packages, trying to get the FreeIPA
>>> client to install on a Raspberry PI 3 / raspbian. The python-ipaclient
>>> package seems to have a dependency for python-ipalib, which seems to be
>>> included in the amd64 repository, but missing in the armhf repository.
>>> Is this intentional, or is something missing?
>>
>> Missing where? Xenial at least should have it:
>>
>> https://launchpad.net/ubuntu/+source/freeipa/4.3.1-0ubuntu1/+build/9594558
>>
>>
>>
> 
> I have added the FreeIPA PPA so my repo config is as follows:
> deb http://ppa.launchpad.net/freeipa/ppa/ubuntu xenial main
> deb http://archive.raspberrypi.org/debian/ jessie main ui
> 
> Trying to install the python-ipaclient I ended up with a dependency
> problem, since the python-ipalib was missing. While investigating the
> problem further, I discovered a difference between the repositories for
> the armhf and amd64 architectures:
> 
> wget -O-
> http://ppa.launchpad.net/freeipa/ppa/ubuntu/dists/xenial/main/binary-armhf/Packages.gz
> | gunzip -c | grep "Package: python-ipalib" | wc -l
> 0
> 
> wget -O-
> http://ppa.launchpad.net/freeipa/ppa/ubuntu/dists/xenial/main/binary-amd64/Packages.gz
> | gunzip -c | grep "Package: python-ipalib" | wc -l
> 1
> 
> Perhaps I am mixing high and low with jessie and xenial, but I thought
> it was a bit peculiar that there was a difference between the PPA
> repositories.

That's because the ppa only has amd64 and i386 builders. Looks like
python-ipalib should be arch:all anyway, will fix that in the next upload.

and it's still unsupported to mix the ppa with anything older

-- 
t

_______________________________________________
Mailing list: https://launchpad.net/~freeipa
Post to     : freeipa@lists.launchpad.net
Unsubscribe : https://launchpad.net/~freeipa
More help   : https://help.launchpad.net/ListHelp

Reply via email to